POST api/v1/child-growth-measurements
Request Information
URI Parameters
None.
Body Parameters
CreateChildGrowthMeasurementRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| ChildId | integer |
None. |
|
| HeightCm | decimal number |
None. |
|
| WeightKg | decimal number |
None. |
|
| MeasureDate | date |
None. |
|
| Note | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"childId": 1,
"heightCm": 1.0,
"weightKg": 1.0,
"measureDate": "2026-04-18T15:09:39.9010022+03:00",
"note": "sample string 1"
}
application/xml, text/xml
Sample:
<ChildGrowthMeasurementsController.CreateChildGrowthMeasurementRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/API.Controllers"> <ChildId>1</ChildId> <HeightCm>1</HeightCm> <MeasureDate>2026-04-18T15:09:39.9010022+03:00</MeasureDate> <Note>sample string 1</Note> <WeightKg>1</WeightKg> </ChildGrowthMeasurementsController.CreateChildGrowthMeasurementRequest>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.